Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.menu
Class MenuParamString

    java.lang.Object
      de.jsystems.tools.ParamString
          de.jsystems.framework.menu.MenuParamString

public class MenuParamString
extends ParamString

Zerlegt einen String aus der Menüpropertiesdatei in die einzelnen Bestandteile, mit denen das Menü beschrieben werden kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary

Fields inherited from class de.jsystems.tools.ParamString
`liste, trennzeichen`

Constructor Summary
`MenuParamString()` Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Menues.

Method Summary
`protected void` | `clear()` Löscht den Inhalt des ParamString-Objektes.
`String` | `getActionClassName()` Gibt den vollqualifizierten Klassennamen fuer die Action zurueck, die bei einem Klick auf den Menuepunkt getriggert werden soll.
`String` | `getCommand()` Gibt den Kommandostring des ParamStrings zurueck.
`String` | `getMenueName()` Gibt den Namen des Menüpunktes zurück.
`String` | `getMenueTitel()` Gibt den Namen des Menütitels zurück.
`String` | `getMnemonic()` Gibt das Mnemonic des Menüpunktes zurück.
`String` | `getPictureName()` Gibt den Namen eines Icons zurück, das neben dem Menüpunkt angezeigt werden soll.
`String` | `getShortcut()` Gibt den Shortcut für den Menüpunkt zurück.
`void` | `init(String paramString)` Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für das Menü.
`boolean` | `isSeparator()` Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?
`boolean` | `isSubmenue()` Handelt es sich bei dem eingelesenem Menüpunkt um ein Submenue?

Methods inherited from class de.jsystems.tools.ParamString
`getBool, getCount, getDouble, getFloat, getInt, getLong, getParam, setTrennzeichen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuParamString

    public MenuParamString()

  Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Menues.

Method Detail

### init

    public void init(String paramString)

  Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für das Menü.

  Parameters:
    `paramString` - Der String mit dem dieses Objekt initialisiert wird.
  Throws:
    `MenueParamFormatException` - wenn das Format des uebergebenen Strings falsch ist.

### clear

    protected void clear()

  Löscht den Inhalt des ParamString-Objektes. Hier werden die Inhalte aller Attribute auf ""(Leerstring) gesetzt.

### getCommand

    public String getCommand()

  Gibt den Kommandostring des ParamStrings zurueck. Dabei handelt es sich immer um das erste Attribut in einem ParamString.

  Returns:
    Das Kommando im ParamString.

### getMenueTitel

    public String getMenueTitel()

  Gibt den Namen des Menütitels zurück. Das ist der Name, der in der Titelzeile des Menüs erscheint.

  Returns:
    Der Titel des Menues.

### getMenueName

    public String getMenueName()

  Gibt den Namen des Menüpunktes zurück.

  Returns:
    der Name des Menuepunktes.

### getActionClassName

    public String getActionClassName()

  Gibt den vollqualifizierten Klassennamen fuer die Action zurueck, die bei einem Klick auf den Menuepunkt getriggert werden soll.

  Returns:
    Der vollqualifizierte Klassenname der auszufuehrenden Action.

### getMnemonic

    public String getMnemonic()

  Gibt das Mnemonic des Menüpunktes zurück. Falls der Menüpunkttext leer war und die Anzahl der Parameter im String 2, dann handelt es sich um das Mnemonic für den Menütitel.

  Returns:
    Das Mnemonic fuer den Menuepunkt oder den Menuetitel.

### getShortcut

    public String getShortcut()

  Gibt den Shortcut für den Menüpunkt zurück. Damit ist ein Schnellzugriff auf Menüpunkte möglich ohne die Maus benutzen zu müssen.

  Returns:
    Der Shortcut fuer den Menuepunkt.

### getPictureName

    public String getPictureName()

  Gibt den Namen eines Icons zurück, das neben dem Menüpunkt angezeigt werden soll.

  Returns:
    Der Name des Menueicons.

### isSubmenue

    public boolean isSubmenue()

  Handelt es sich bei dem eingelesenem Menüpunkt um ein Submenue?

  Returns:
    `true`, wenn der String aus der `init(String)`-Methode ein Submenue beschreibt, ansonsten `false`.

### isSeparator

    public boolean isSeparator()

  Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?

  Returns:
    `true`, wenn der String aus der `init(String)`-Methode einen Separator beschreibt, ansonsten `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD